## octave-audio 1.1.1

=== DESCRIPTION ===
Name: Audio
Version: 1.1.1
Date: 2008-04-29
Author: Paul Kienzle
Maintainer: Paul Kienzle
Title: Audio.
Description: Audio recording, processing and playing tools.
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-audio 1.1.3

=== DESCRIPTION ===
Name: Audio
Version: 1.1.3
Date: 2009-05-03
Author: Paul Kienzle
Maintainer: Paul Kienzle
Title: Audio
Description: Audio recording, processing and playing tools.
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-audio 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Audio
-Version: 1.1.3
+Version: 1.1.4
 Date: 2009-05-03
 Author: Paul Kienzle
 Maintainer: Paul Kienzle

=== src/Makefile ===
sinclude Makeconf

all:
ifdef HAVE_LINUX_SOUNDCARD
	$(MAKE) -f Makefile.linux
endif # HAVE_LINUX_SOUNDCARD is not defined
ifeq (apple-darwin,$(findstring apple-darwin,$(canonical_host_type)))
	$(MAKE) -f Makefile.macosx
endif # ifeq (apple-darwin)

clean:
	@echo "Cleaning..."; \
	$(RM) -rf *.o core octave-core ../bin/* *~ *.oct

distclean: clean
	@echo "Really Cleaning..."; \
	$(RM) -rf ../bin config.status config.log autom4te.cache Makeconf

maintainer-clean realclean: distclean
	@echo "Cleaning maintainer files..."; \
	$(RM) -rf ../bin configure	

dist : all

=== debian/changelog ===
octave-audio (1.1.4-6) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/copyright: Use unique license names
  * Remove .m files that are now in Octave 4.0.0

  [ Sébastien Villemot ]
  * Bump B-D on octave-pkg-dev to >= 1.3.0, to ensure Octave 4.0 is used.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:21:40 +0200

octave-audio (1.1.4-5) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * Uploaders: remove Thomas Weber and myself, add Rafael Laboissiere.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that all files are covered by copyright information.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 17:02:12 +0200

octave-audio (1.1.4-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.4
  * debian/clean, README.source: Remove these obsolete files
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 20 Mar 2012 08:01:08 +0100

octave-audio (1.1.4-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (closes: #571893)
    - Remove Ólafur Jens Sigurðsson from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Recommend sox, in order to have /usr/bin/play for actually playing sound.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Mon, 14 Feb 2011 10:27:24 +0100

octave-audio (1.1.4-2) unstable; urgency=low

  * Upload to unstable. 
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.1, for the changed
    behaviour in doc handling.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 09 Nov 2009 22:38:33 +0100

octave-audio (1.1.4-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump Standards-Version to 3.8.2, no changes needed
  * debian/patches/no-writable-string.diff: removed, applied upstream. 
  * No more Debian patches: drop quilt from build-dependencies and
    debian/rules
  * Don't install aurecord.1 anymore, the binary isn't built anymore by
    upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Jul 2009 18:06:47 +0200

octave-audio (1.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/no-writable-string.diff: Add patch to avoid warning
    "deprecated conversion from string constant to 'char *'"
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-Depends): Add quilt
  * debian/rules: Include patchsys-quilt.mk
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 10:50:39 +0200

octave-audio (1.1.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Apr 2009 19:45:54 +0200

octave-audio (1.1.2-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release

  [ Rafael Laboissiere]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * Upload to experimental
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 02 Dec 2008 08:14:54 +0100

octave-audio (1.1.1-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 10 May 2008 15:05:14 +0200

octave-audio (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #468495)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Mon, 3 Mar 2008 13:35:59 +0100

=== debian/control ===
Source: octave-audio
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.0)
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/audio
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-audio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-audio.git

Package: octave-audio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Recommends: sox
Description: functions to work with audio files in Octave
 This package provides functions to work with audio files in Octave, a
 numerical computation software. It contains functions for capturing
 sound from a soundcard (aucapture), reading sound files (auload), and
 plotting waveworm data of sound (auplot), among others.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

install/octave-audio::
	# Remove .m files that are now in Octave 4.0.0
	# https://savannah.gnu.org/bugs/?func=detailitem&item_id=38395
	@echo "************************************************************************"
	@echo "Warning: check whether this fix is still needed:"
	find debian/octave-audio \( -name sound.m -o -name soundsc.m \) -exec rm \{} \;
	@echo "************************************************************************"

=== debian/watch ===
version=3
http://sf.net/octave/audio-(.+)\.tar\.gz

## octave-audio 2.0.1

=== debian/changelog ===
octave-audio (2.0.1-1) unstable; urgency=low

  * Initial release (closes: #963597)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 24 Jun 2020 07:22:19 -0300

## octave-audio 2.0.2

=== DESCRIPTION ===
Name: audio
Version: 2.0.2
Date: 2020-10-13
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Audio Toolbox
Description: Audio and MIDI Toolbox for GNU Octave
Categories: Midi, Audio
Depends: octave (>= 4.0.0)
SystemRequirements: rtmidi
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2019 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

TOPDIR := $(shell pwd)

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr
TEXI2PDF  ?= texi2pdf -q

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))


## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) clean && $(RM) Makefile
##
	$(MAKE) -C "$@" docs
#	cd "$@" && $(MAKE) tests
	# remove dev stuff
	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
	${FIX_PERMISSIONS} "$@"

.PHONY: docs
docs: doc/$(package).pdf

clean-docs:
	$(RM) -f doc/$(package).info
	$(RM) -f doc/$(package).pdf
	$(RM) -f doc/functions.texi

doc/$(package).pdf: doc/$(package).texi doc/functions.texi
	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
	# remove temp files
	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc

doc/functions.texi:
	cd doc && ./mkfuncdocs.py --src-dir=../inst/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi


run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

#html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install clean-docs
	test -e inst/test && rmdir inst/test || true
	test -e fntests.log && rm -f fntests.log || true
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	@echo
	@echo "## Cleaning done"
	@echo

.PHONY: tests
	
CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' src/*.cc)
TST_SOURCES := $(patsubst src/%.cc,inst/test/%.cc-tst,$(CC_TST_SOURCES))

inst/test:
	@mkdir -p "$@"

$(TST_SOURCES): inst/test/%.cc-tst: src/%.cc | inst/test
	@echo "Extracting tests from $< ..."
	@$(RM) -f "$@" "$@-t"
	@(      echo "## Generated from $<"; \
		$(GREP) '^%!' "$<") > "$@"

tests: $(TST_SOURCES)

=== debian/changelog ===
octave-audio (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Oct 2020 08:47:05 -0300

=== debian/control ===
Source: octave-audio
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.6),
               librtmidi-dev
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/audio/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-audio
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: MIDI functions for Octave
 This package provides MIDI functionality for Octave, a numerical
 computation software.  Three types of functions are provided: (1)
 functions that directly allow opening, sending and receiving MIDI
 messages, (2) functions that provide a layer on top of the device
 functions for using MIDI controls, and (3) basic functions that allow
 read and write of MIDI files.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/audio-(.+)\.tar\.gz

## octave-audio 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.2
-Date: 2020-10-13
+Version: 2.0.4
+Date: 2021-12-05
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox

=== Makefile ===
--- 
+++ 
@@ -239,9 +239,8 @@
 ##  https://octave.sourceforge.io/doctest/index.html
 doctest: $(install_stamp)
 	$(run_in_place) --eval 'pkg load doctest;'                                                          \
-	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
-	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"
-
+	  --eval "targets = pkg('list', '$(package)'){1}.dir;" \
+	  --eval "doctest (targets);"
 
 ## Test package.
 octave_test_commands = \

=== debian/changelog ===
octave-audio (2.0.4-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:24:21 +0000

octave-audio (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Dec 2021 10:03:45 -0300

octave-audio (2.0.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Nov 2021 16:27:03 -0300

octave-audio (2.0.3-1) experimental; urgency=medium

  * New upstream version 2.0.3
  * Released to experimental in waiting for the library transitions
    petsc and hypre
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/u/metadata:
    + Remove obsolete fields Contact and Name (already present in
      machine-readable d/copyright)
    + Set upstream metadata field Archive
  * d/copyright:
    + Reflect upstream changes
    + Set fields Upstream-Name and Upstream-Contact

 -- Rafael Laboissière <rafael@debian.org>  Tue, 26 Oct 2021 01:11:58 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.6),
                librtmidi-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio

## octave-audio 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.4
-Date: 2021-12-05
+Version: 2.0.5
+Date: 2022-07-20
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2019 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2019-2022 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -18,6 +18,23 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  # v4 doesnt work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -149,13 +166,17 @@
 	$(MAKE) -C "$@" docs
 #	cd "$@" && $(MAKE) tests
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
+	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 .PHONY: docs
-docs: doc/$(package).pdf
-
+docs: doc/$(package).pdf doc/$(package).info doc/$(package).qhc doc/$(package).html
+
+.PHONY: clean-docs
 clean-docs:
+	$(RM) -f doc/$(package).html
+	$(RM) -f doc/$(package).qhc
+	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
 	$(RM) -f doc/functions.texi
@@ -165,6 +186,17 @@
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
+doc/$(package).html: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+
+doc/$(package).qhc: doc/$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
+	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+
+doc/$(package).info: doc/$(package).texi doc/functions.texi
+	cd doc && $(MAKEINFO) $(package).texi
+
 doc/functions.texi:
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
@@ -175,7 +207,8 @@
 #html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
 html_options = --eval 'options = get_html_options ("octave-forge");' \
-               --eval 'options.package_doc = "$(package).texi";'
+               --eval 'options.package_doc = "$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(package).css"];'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \

=== debian/changelog ===
octave-audio (2.0.5-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:39:34 -0300

octave-audio (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * d/p/remove_oct-alt-includes.h.patch: Drop patch (applied upstream)
  * d/p/midi-device-devinfo-xtest.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Jul 2022 09:01:43 -0300

octave-audio (2.0.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/autoreconf: New file
  * Proper cleaning of files automatically generated by the configure script
    + d/clean: Drop obsolete file
    + d/control: Build-depend on dh-octave >= 1.2.3. In this version,
      dh_octave_clean removes the files generated by the configure
      script
    + d/p/remove_oct-alt-includes.h.patch: New patch (clean leftover
      file oct-alt-includes.h)
  * d/copyright: Update copyright year of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 09 Jul 2022 11:04:36 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.6),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                librtmidi-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/audio/	\
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/audio-(.+).tar.gz

## octave-audio 2.0.7

=== DESCRIPTION ===
Name: audio
Version: 2.0.7
Date: 2023-07-26
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Audio Toolbox
Description: Audio and MIDI Toolbox for GNU Octave
Categories: Midi, Audio
Depends: octave (>= 4.0.0)
SystemRequirements: rtmidi
Autoload: no
License: GPLv3+
Url: https://gnu-octave.github.io/octave-audio/
Repository: https://github.com/gnu-octave/octave-audio/

=== debian/changelog ===
octave-audio (2.0.7-2) unstable; urgency=medium

  * New upstream version 2.0.7
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 Jul 2023 08:12:15 -0300

octave-audio (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Use tarball URL from GitHub
    + d/watch: Ditto
    + d/s/lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Fri, 21 Jul 2023 11:14:36 -0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
-               librtmidi-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/audio/
+               librtmidi-dev,
+               texlive
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
 Testsuite: autopkgtest-pkg-octave

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
TEXIFILE = audio.texi

execute_before_dh_auto_build:
	( cd doc ;					\
	  makeinfo --no-split $(TEXIFILE) ;		\
	  makeinfo --html --no-split  $(TEXIFILE) ;	\
	  texi2pdf $(TEXIFILE) || true )
endif

## octave-audio 2.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.7
-Date: 2023-07-26
+Version: 2.0.8
+Date: 2023-10-02
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -68,22 +69,22 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
-HG           := hg
-HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
-HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-
 ## Detect which VCS is used
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
 release_dir_dep := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
 release_dir_dep := .git/index
-endif
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
@@ -179,25 +180,33 @@
 	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/functions.texi
 
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 
@@ -315,6 +324,3 @@
 	@echo "Extracting tests from $< ..."
 	@$(RM) -f "$@" "$@-t"
 	@(      echo "## Generated from $<"; \
-		$(GREP) '^%!' "$<") > "$@"
-
-tests: $(TST_SOURCES)

=== debian/changelog ===
octave-audio (2.0.8-2) unstable; urgency=medium

  * d/rules: Build documentation using upstream Makefile (Closes: #1060958)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules:
      - Make doc/mkfuncdocs.py executable
      - Invoke make to build the Info, HTML and PDF forms of the
        documentation
    + d/control: Build-depend on python3
    + d/octave-audio.doc-base: Add stanza for documentation in Info format
    + d/octave-audio.info: New file
    + d/clean: Drop file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Jan 2024 04:48:11 -0300

octave-audio (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8

 -- Rafael Laboissière <rafael@debian.org>  Wed, 04 Oct 2023 20:46:51 -0300

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                librtmidi-dev,
+	       python3,
                texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/audio/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py
	make doc/audio.info doc/audio.html doc/audio.pdf
endif

## octave-audio 2.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.8
-Date: 2023-10-02
+Version: 2.0.9
+Date: 2024-09-23
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -42,6 +43,7 @@
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
 pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_year := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" " | $(CUT) -f1 -d"-")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -167,7 +169,8 @@
 	$(MAKE) -C "$@" docs
 #	cd "$@" && $(MAKE) tests
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	cd "$@" && $(RM) -rf "devel" 
+	# && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 .PHONY: docs
@@ -189,6 +192,7 @@
 	@echo "@set VERSION $(version)" >> $@
 	@echo "@set PACKAGE $(package)" >> $@
 	@echo "@set DATE $(pkg_date)" >> $@
+	@echo "@set YEAR $(pkg_year)" >> $@
 
 doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
@@ -196,12 +200,16 @@
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
+ifeq ($(QHELPGENERATOR),true)
+	$(warning No QHELPGENERATOR ... skipping QT doc build)
+else
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+endif
 
 doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
@@ -308,19 +316,3 @@
 	test -e fntests.log && rm -f fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
-	@echo
-	@echo "## Cleaning done"
-	@echo
-
-.PHONY: tests
-	
-CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' src/*.cc)
-TST_SOURCES := $(patsubst src/%.cc,inst/test/%.cc-tst,$(CC_TST_SOURCES))
-
-inst/test:
-	@mkdir -p "$@"
-
-$(TST_SOURCES): inst/test/%.cc-tst: src/%.cc | inst/test
-	@echo "Extracting tests from $< ..."
-	@$(RM) -f "$@" "$@-t"
-	@(      echo "## Generated from $<"; \

=== debian/changelog ===
octave-audio (2.0.9-3) unstable; urgency=medium

  * d/control: Add texlive-base to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 04:19:40 -0300

octave-audio (2.0.9-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop versioned dependency on dh-octave. Relationship >= 0.7.1 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on texlive-binaries intead of the broader package
      texlive
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Fri, 10 Oct 2025 06:37:18 -0300

octave-audio (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/copyright: Add stanza for octave-audio.metainfo.xml
  * d/rules: Use "make docs" for building the documentation
  * d/u/metadata:
    + Update upstream repository URLs
    + Update Bug-Database and Bug-Submit URLs
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Oct 2024 11:29:20 -0300

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
                dh-sequence-octave,
                librtmidi-dev,
-	       python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive-base <!nodoc>,
+               texlive-binaries <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-audio
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	make docs
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: gnu-octave
Project: octave-audio

## octave-audio 2.0.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.9
-Date: 2024-09-23
+Version: 2.0.10
+Date: 2026-01-25
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox
@@ -12,3 +12,4 @@
 License: GPLv3+
 Url: https://gnu-octave.github.io/octave-audio/
 Repository: https://github.com/gnu-octave/octave-audio/
+Tracker: https://github.com/gnu-octave/octave-audio/issues

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2019-2022 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2019-2026 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -19,7 +19,8 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
-MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
+MAKEINFO_HTML_OPTIONS := --no-headers --no-split 
+MAKEINFO_HTML_FILTER :=  $(SED) 's|<span class="category[^"]*">: </span>||g' | $(SED) 's|<a[^>]*class=.copiable[^>]*> &para;</a>||g' | $(SED) 's|<span>\([^<]*\)</span>|\1|g'
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -200,7 +201,7 @@
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave.css $(MAKEINFO_HTML_OPTIONS) $(package).texi -o - | $(MAKEINFO_HTML_FILTER) > $(package).html
 
 doc/$(package).qhc: doc/$(package).html
 ifeq ($(QHELPGENERATOR),true)
@@ -313,6 +314,3 @@
 
 clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e inst/test && rmdir inst/test || true
-	test -e fntests.log && rm -f fntests.log || true
-	@echo "## Removing target directory (if empty)..."
-	test -e $(target_dir) && rmdir $(target_dir) || true

=== debian/changelog ===
octave-audio (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop useless build-dependency on texlive-binaries
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/u/metadata: Add Changelog and Documentation fields
  * d/salsa-ci.yml: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 26 Jan 2026 13:01:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: octave-audio
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                librtmidi-dev,
                python3 <!nodoc>,
-               texlive-base <!nodoc>,
-               texlive-binaries <!nodoc>
-Standards-Version: 4.7.2
+               texlive-base <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
